//BUSQUEDA DE TABEXP
var contenedorTABEXP = null;
var panelTABEXP = null, panelTABCATRUT = null;
var GridStoreTABEXP = null, gridEjercicios = null;
var currentStrId = "";
var strIdConsulta = "";

function TABEXP_Constructor(intClienteSeleccionado){
	
	strEjercicioForMsg = "";
	//var cuerpo = Ext.getCmp('objdivExpediente');
	//cuerpo.setTitle("Expediente de " + strClienteSeleccionado);
		
	idTab = 'TABEXP';

	var txtBoton = "";

	var sHeight = '80%';
	var sHeightContenedor = 740;
	
	$("#divExpediente").empty();
	
	cargarPanelTABEXP();
	
}
	  
function cargarPanelTABEXP(){
	
	$.post("vistas/tabExpediente.php", function(data){
		
		$("#divExpediente").html(data);
		
		//makeTab();
		
		if(objClienteSel!==null){

			$("#divExpedientePaciente").find("#txtId").val(objClienteSel.id);
			$("#divExpedientePaciente").find("#txtNombres").val(objClienteSel.nombres);
			$("#divExpedientePaciente").find("#txtApellidos").val(objClienteSel.apellidos);
			$("#divExpedientePaciente").find("#selectSexo").val(objClienteSel.sexo);
			$("#divExpedientePaciente").find("#txtFecNac").val(objClienteSel.fecnac);
			$("#divExpedientePaciente").find("#txtEmail").val(objClienteSel.email);
			$("#divExpedientePaciente").find("#txtTelefono").val(objClienteSel.telefono);
			$("#divExpedientePaciente").find("#imgFotoPaciente").prop("src", objClienteSel.foto);
			$("#divExpedientePaciente").find("#txtCompania").val( objClienteSel.compania );

			setAutocomplete( "clientes", $( "#divExpedientePaciente" ).find("#txtPaciente") );
			
			setAutocomplete( "diagnosticos", $( "#tabDiagnostico" ).find("#txtSpeechDiagnostico"), $( "#tabDiagnostico" ).find("#txtDiagnostico") );
			setAutocomplete( "medicamentos", $( "#tabDiagnostico" ).find("#txtInputMedicamentos"), $( "#tabDiagnostico" ).find("#txtMedicamentos") );
			setAutocomplete( "medicamentos", $( "#dialog-receta" ).find("#txtInputMedicamentosReceta"), $( "#dialog-receta" ).find("#txtMedicamentosReceta"), 1 );
			
			//setAutocomplete( "estudios", $( "#tabDiagnostico" ).find("#txtEstudios") );

			if(objClienteSel.sexo.toUpperCase()==="F"){
				$("#divExpedienteTabs").find("#divGinecoobstetricos").css({"visibility":"visible","display":"block"});
			}else{
				$("#divExpedienteTabs").find("#divGinecoobstetricos").css({"visibility":"hidden","display":"none"});					
			}

			$( "#divConfiguracionChilds" ).dialog({
			  dialogClass: "clsJustBtnClose",
			  autoOpen: false,
			  position:"center top",
			  width: 320,
			  height: 600,
			  modal: true,
			  close: function() {
					$("#divConfiguracionChilds").html("");
			  }
			});
			
			$( "#dialog-loading" ).dialog({
			  dialogClass: "clsNoTitle",
			  autoOpen: false,
			  position:"center",
			  width: 110,
			  height: 110,
			  modal: true
			});
			
            $( "#dialog-consultas" ).dialog({
			  dialogClass: "clsJustBtnClose",
			  autoOpen: false,
			  position:"center top",
			  width: 230,
			  height: 400,
			  modal: true
			});

			modificarControles(0, 1);

			$("#divExpedienteDetalle").find('.clsTextA').prop("disabled", true);
			
			//TODAS LAS SECCIONES
			getDataConsulta("");
			
			console.log("\n\nobjUsuario.tipo: "+ objUsuario.tipo +" / strIdConsultaGral: "+ strIdConsultaGral +" / strIdConsulta: "+ strIdConsulta);
			if(objUsuario.tipo===1){
			    if(strIdConsultaGral!==""){
			        //INICIAR CONSULTA
			        strIdConsulta = strIdConsultaGral;
			        
			        abConsulta(2);
			        
			        $("#divExpedienteDetalle").find("#btnIniciarConsulta1").css( {"display":"none"} );
			        $("#divExpedienteDetalle").find("#btnIniciarConsulta2").css( {"display":"inline-block"} );
			        
			    }else{
			        
			        //$("#divExpedienteDetalle").find("#btnIniciarConsulta").css( {"display":"inline-block"} );
        		    //$("#divExpedienteDetalle").find("#btnTerminarConsulta").css( {"display":"none"} );
			    
			    	$("#divExpedienteDetalle").find("#btnIniciarConsulta1").css( {"display":"inline-block"} );
			        $("#divExpedienteDetalle").find("#btnIniciarConsulta2").css( {"display":"none"} );

			    }
			    
			    //$("#divExpedienteDetalle").find("#btnIniciarConsulta").css( {"display":"inline-block"} );
        		$("#divExpedienteDetalle").find("#btnTerminarConsulta").css( {"display":"none"} );
        		    
			}else{
			    $("#divExpedienteDetalle").find("#btnIniciarConsulta").css( {"display":"none"} );
        		$("#divExpedienteDetalle").find("#btnTerminarConsulta").css( {"display":"none"} );
			}
			
			        
		}
		
	});
}

function verTab(strId){
	console.log("verTab / strId: " + strId);

    $(".clsDivTab").css({"display":"none"});

    $(".clsLiExpediente").removeClass("clsLiExpedienteActivo");
    
    $("#"+ strId).css({"display":"inline-block"});
    var strLiId = strId.replace("tab","li");
    $("#"+ strLiId).addClass("clsLiExpedienteActivo");
    
}

function makeTab(){
	$( "#divExpedienteTabs" ).tabs({
	  activate: function( event, ui ) {
		//console.log(ui);
		//console.log("id=" + ui.newPanel[0].id);
		//console.log("AQUI SE ACTIVA EL TAB");
		if(ui.newPanel[0].id=="tabDiagnostico"){

		}
	  },
	  beforeActivate: function( event, ui ) {
		//console.log(ui);
		//console.log("makeTab --> beforeActivate --> AQUI MANDO A GUARDAR LA INFO DEL TAB ANTERIOR");
		//guardarObjetivos();
	  }
	});	
}

//*********
var speech = null;

function activarMicro(strInput){
	console.log("activarMicro :" + strInput);
	var strIdBoton = $('#tabDiagnostico').find("#"+ strInput).prop("src");			
	
	if(strIdBoton.toLowerCase().indexOf("off")>=0){  //Contiene Off
		var newSrc = strIdBoton.replace("Off","On");
		
		speech = new webkitSpeechRecognition();
		speech.continuous = true;
		speech.interimResults = false;
		speech.lang = "es-ES";
	
		speech.onresult = function (event)
		{
			//var textArea = document.getElementById("txtDiagnostico");
			var textArea = $("#tabDiagnostico").find("#txtDiagnostico");
			var strTexto = event.results[event.results.length-1][0].transcript;
			//textArea.innerHTML += strTexto;
			
			var strTextoActual = $("#tabDiagnostico").find("#txtDiagnostico").val();
			
			console.log("strTextoActual: " + strTextoActual + "/ strTexto: " + strTexto);

            textArea.val( strTextoActual + strTexto );

		}
	
		speech.onend = function ()
		{
			var ahorita = new Date();
			console.log("FIN speech" + ahorita.getTime());
		}

		speech.start();
		console.log("Puede grabar");
		
	}else if(strIdBoton.toLowerCase().indexOf("on")>=0){  //Contiene On
	
		var newSrc = strIdBoton.replace("On","Off");
		speech.stop();
		var ahorita = new Date();
		console.log("Ya no puede grabar " + ahorita.getTime());
		
	}
	
	$('#tabDiagnostico').find("#"+ strInput).prop("src", newSrc);
	//var bContieneOff = $('#tabDiagnostico').find( strIdBoton).prop("src");	
}

function leerTexto(){

	if ('speechSynthesis' in window) {
		var textArea = document.getElementById("txtDiagnostico");
		var strTexto = textArea.value;

		var msg = new SpeechSynthesisUtterance();
		var voices = window.speechSynthesis.getVoices();
		msg.voice = voices[10]; // Note: some voices don't support altering params
		
		msg.voiceURI = 'native';
		msg.volume = 1; // 0 to 1
		//msg.rate = 1; // 0.1 to 10
		//msg.pitch = 2; //0 to 2
		//msg.text = 'Hello World';
		msg.text = strTexto;
		msg.lang = 'es-MX';

		msg.onend = function(e) {
		  console.log('Finished in ' + event.elapsedTime + ' seconds.');
		};

		speechSynthesis.speak(msg);
		//window.speechSynthesis.speak(msg);
	}else{
		console.log("No soporta speechSynthesis");
	}

	/*
		speechSynthesis.getVoices().forEach(function(voice) {
		  console.log(voice.name, voice.default ? voice.default :'');
		});
	*/

	//msg.voice = speechSynthesis.getVoices().filter(function(voice) { return voice.name == 'Whisper'; })[0];

	/*
	if ('speechSynthesis' in window) {
	 // Synthesis support. Make your web apps talk!
	}

	if ('SpeechRecognition' in window) {
	  // Speech recognition support. Talk to your apps!
	}
	*/

}

function getConsultas(){
	console.log("\n getConsultas / objClienteSel.id: "+ objClienteSel.id);

	var arrEvents = null;	
	var strUrl = "data/dataExpediente.php?method=getConsultas&intCliente="+ objClienteSel.id +"&rnd="+ Math.random();
	
	var dataObject = { method: ('getConsultas')
					 , intCliente: (objClienteSel.id)
				  };
	dataObject = null;

	$.post(strUrl, dataObject, function(dataNew){
		//console.log("dataNew: "+ dataNew);

		if(dataNew!=""){
			var data = $.parseJSON(dataNew);
			var arrItems = data.Items;
		 	
		 	var strItems = "";
		 	for(var i=0; i<arrItems.length; i++){
                
                //var strIdConsulta = arrItems[i].strIdConsulta , strBg = "#5c84de", strColor = "#ffffff";
                var strIdConsulta = arrItems[i].strIdConsulta , strBg = "#5c84de", strColor = "#ffffff";
                
                var clsItemConsulta = "";
                
                if( (strIdConsultaSel==="" && i==0) || (strIdConsulta === strIdConsultaSel) ){
                    //strBg = "#ffffff";
                    //strColor = "#5c84de";
                    clsItemConsulta = "clsItemConsultaSel";
                }
                
		 		/*strItems += "<div id='divConsulta_"+ strIdConsulta +"' class='clsItemConsulta "+ clsItemConsulta +"'>";
			 		strItems += "<a href='javascript: getDataConsulta(\""+ strIdConsulta +"\");' >"+ arrItems[i].datFecha +"</a>"; 
		 		strItems += "</div>";*/
		 		
		 		strItems += "<li id='divConsulta_"+ strIdConsulta +"' class='liSubMenuChild "+ clsItemConsulta +"'>"; /*class='clsItemConsulta */
			 		strItems += "<a href='javascript: getDataConsulta(\""+ strIdConsulta +"\");' >"+ arrItems[i].datFecha +"</a>"; //style='color: "+ strColor +";'
		 		strItems += "</li>";

		 	}

		 	//$("#dialog-consultas").find("#divUltimasConsultas").html( strItems );
		 	$("#dialog-consultas").find("#ulUltimasConsultas").html( strItems );
		    
		}
	});
}

var intConsultando = 0, strIdConsultaSel = "";
function getDataConsulta(strIdConsultaArg){
    console.log("getDataConsulta / strIdConsultaArg: "+ strIdConsultaArg);

    strIdConsultaSel = strIdConsultaArg;
    
    $("#divUltimasVisitas").find(".clsItemConsulta").removeClass("clsItemConsultaSel");
    
    var strIdDivConsulta = "divConsulta_"+ strIdConsultaArg;
    //console.log("strIdDivConsulta: "+ strIdDivConsulta);
    
    $("#divUltimasVisitas").find("#"+ strIdDivConsulta).addClass("clsItemConsultaSel");
    
    intConsultando = 1;
    $( "#dialog-loading" ).dialog("open");
    
	getConsultas();

	//SECCION NOTAS DE PADECIMIENTO
	getData("tblnotas", strIdConsultaArg);

}

function getData(strTablaArg, strIdConsultaArg){
    var intClienteArg = objClienteSel.id;
	console.log("\n getData / strTablaArg: "+ strTablaArg +" / strIdConsultaArg: "+ strIdConsultaArg +" / intClienteArg: "+ intClienteArg );
	//console.log("\n NOW: "+ Date.now() );

	var strDivCon = "", strLastString = "";

	if(strTablaArg=="tblnotas"){ strDivCon = "tabNotasPadecimiento"; strLastString = ""; }
	
	if(strTablaArg=="tblheredofamiliares"){ strDivCon = "divHeredofamiliares"; strLastString = "HF"; }
	if(strTablaArg=="tblpatologicos"){ strDivCon = "divPatologicos"; strLastString = "P"; }
	if(strTablaArg=="tblnopatologicos"){ strDivCon = "divNopatologicos"; strLastString = "NP"; }
	if(strTablaArg=="tblginecoobstetricos"){ strDivCon = "divGinecoobstetricos"; strLastString = "GO"; }
	if(strTablaArg=="tblalergicos"){ strDivCon = "divAlergicos"; strLastString = ""; }

	if(strTablaArg=="tblexamenfisico"){ strDivCon = "tabExamenFisico"; strLastString = ""; }

	if(strTablaArg=="tbldiagnosticoytratamiento"){ strDivCon = "tabDiagnostico"; strLastString = ""; }

	var arrEvents = null;	
	
	var strUrl = "data/dataExpediente.php?rnd="+ Math.random();
	strUrl += "&intCliente="+ intClienteArg;
	
	//if(strIdConsultaArg!="" && strIdConsultaArg!=null){
	//	strUrl += "&strIdConsulta="+ strIdConsultaArg;
	//}

	//console.log("LIMPIAR EXPEDIENTE PRIMERO");
	//$("#"+ strDivCon).find(".clsTextA").css("background-color","red");
	$("#"+ strDivCon).find(".clsTextA").val("");
		
	var dataForm = new FormData();
    dataForm.append("method", "getData");
    dataForm.append("strTabla", strTablaArg);
    //dataForm.append("intCliente", intClienteArg);
    dataForm.append("strIdConsulta", strIdConsultaArg);
	
	$.ajax({
        type: "POST",
        enctype: 'multipart/form-data',
        url: strUrl,
        data: dataForm ,
        processData: false,
        contentType: false,
        cache: false,
        timeout: 600000,
        success: function (dataNew) {
            
            if(dataNew!=""){
    			var data = $.parseJSON(dataNew);
    
    		 	for (var key in data){
    		        var attrName = key;
    		        var attrValue = data[key];
    		        var strInicio = attrName.substring(0,3);
    
    		        if(strInicio=="str" && attrValue!=""){
    			        var strTxtName = attrName.replace("str","txt") + strLastString;
    			        
    			        attrValue = attrValue.replace(/<br>/g, '\n');
    			        
    					$("#"+ strDivCon).find("#"+ strTxtName).val( attrValue );
    					//$("#"+ strDivCon).find("#"+ strTxtName).removeClass('clsTextAHidden').addClass('clsTextAVisible');
    
    			        var strChkName = attrName.replace("str","chk") + strLastString;
    					$("#"+ strDivCon).find("#"+ strChkName).prop( "checked", true );
    
    			        //console.log("attrName: "+ attrName +" / attrValue: "+ attrValue +" / strInicio: "+ strInicio +" / strChkName: "+ strChkName);
    
    		        }
    		    }
  
    		}
    		
    		//// 13 abril 21 RESTE 100 MSGS
    		
    		if(strTablaArg==="tblnotas"){ 
    		    setTimeout( function(){ getData("tblheredofamiliares", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tblheredofamiliares"){ 
    		    setTimeout( function(){ getData("tblpatologicos", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tblpatologicos"){ 
    		    setTimeout( function(){ getData("tblnopatologicos", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tblnopatologicos"){ 
    		    setTimeout( function(){ getData("tblginecoobstetricos", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tblginecoobstetricos"){ 
    		    setTimeout( function(){ getData("tblalergicos", strIdConsultaArg); }, 300); 
    		}else if(strTablaArg==="tblalergicos"){ 
    		    setTimeout( function(){ getData("tblexamenfisico", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tblexamenfisico"){ 
    		    setTimeout( function(){ getData("tbldiagnosticoytratamiento", strIdConsultaArg); }, 500); 
    		}else if(strTablaArg==="tbldiagnosticoytratamiento"){ 
        	    intConsultando = 0;
                $("#dialog-loading").dialog("close");
                console.log("TERMINA DE TRAER EL EXPEDIENTE COMPLETO");
        	}
        	
            //console.log("\n ANTESSSSS de nFuncion / objClienteSel.id: "+ objClienteSel.id );
            //nFuncion();
            
        },
        error: function (e) {
            //console.log("ERROR: ", e);
            
            setTimeout( function(){ 
                
                console.log("DISPARA DE NUEVO LA CONSULTA DE getData para TABLA: "+ strTablaArg +" de strIdConsultaArg: "+ strIdConsultaArg);
                getData(strTablaArg, strIdConsultaArg); 
                
            }, 1000);
        	
        }
        
    });	
	
}
function nFuncion(){
	console.log( objClienteSel );
	console.log("\n\n nFuncion / objClienteSel.id: "+ objClienteSel.id );
}

function verConsultas(){
    //$("#divConsultas").css({"display":"block"});   
    $( "#dialog-consultas" ).dialog("open");
}

function abConsulta(intCasoArg, intOrigenArg){
	console.log("\n\n abConsulta / intCasoArg: "+ intCasoArg);
	
	if(intCasoArg===0){
	    strIdConsulta = "con"+ objUsuario.id + moment();
	}
	
	console.log(" strIdConsulta: "+ strIdConsulta);

	var strUrl = "data/dataExpediente.php?rnd="+ Math.random();
	var dataObject = { method: 'abConsulta'
					 , intCaso: intCasoArg
					 , intCliente: (objClienteSel.id)
					 , strIdConsulta: (strIdConsulta)
					 , intUsuario: (objUsuario.id)
				  };
	
	$.post(strUrl, dataObject, function(dataNew){
		//console.log("dataNew: "+ dataNew);

		if(dataNew!=""){
			var data = $.parseJSON(dataNew);
			var exito = data.exito;
		 	
			//console.log("exito: "+ exito);
            
            if(exito==="si"){
                if(intCasoArg===0 && intOrigenArg===1){  //INSERTA DESDE EXPEDIENTE

        		 	$("#divExpedientePaciente").find("#btnIniciarConsulta1").css( {"display":"none"} );
        		 	$("#divExpedientePaciente").find("#btnIniciarConsulta2").css( {"display":"none"} );
        			$("#divExpedientePaciente").find("#btnTerminarConsulta").css( {"display":"inline-block"} );
        
        			$("#divExpedienteDetalle").find('.clsTextA').prop("disabled", false);
                
                    $("#divHeader").css( {"pointer-events":"none"} );

                }else if(intCasoArg===0 && intOrigenArg===2){ //INSERTA DESDE REGISTRO DIARIO
        			
        			objClienteSel = null;
        			
        			limpiarRegistroDiario();
                
                }else if(intCasoArg===1){ //SIGNOS VITALES
                
                }else if(intCasoArg===2){ //SELECCIONAR
                
                }else if(intCasoArg===3){ //INICIAR CONSULTA DESDE EXPEDIENTE-MONITOR DE CONSULTAS
                
                    $("#divExpedientePaciente").find("#btnIniciarConsulta1").css( {"display":"none"} );
                    $("#divExpedientePaciente").find("#btnIniciarConsulta2").css( {"display":"none"} );
                    
        			$("#divExpedientePaciente").find("#btnTerminarConsulta").css( {"display":"inline-block"} );
        
        			$("#divExpedienteDetalle").find('.clsTextA').prop("disabled", false);
                                        
                    $("#divHeader").css( {"pointer-events":"none"} );

                    strIdConsultaGral = "";

                }else if(intCasoArg===4){ //TERMINAR CONSULTA
                
                    strIdConsulta = "";
                    strIdConsultaGral = "";
        
                	$("#divExpedientePaciente").find("#btnTerminarConsulta").css( {"display":"none"} );
                	$("#divExpedientePaciente").find("#btnIniciarConsulta1").css( {"display":"inline-block"} );
                    $("#divExpedientePaciente").find("#btnIniciarConsulta2").css( {"display":"none"} );

                	$("#divExpedienteDetalle").find('.clsTextA').prop("disabled", true);
                	
                	$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});

                    $("#divHeader").css( {"pointer-events":"auto"} );

                	showPage('tabAgenda');
                }
                
            }else{
                
                if(intCasoArg===0){
                    alert("No se ha podido iniciar la consulta");
                }else if(intCasoArg===1){
                    alert("No se ha podido guardar los signos vitales");
                }else if(intCasoArg===2){
                    alert("No se ha podido seleccionar la consulta");
                }else if(intCasoArg===3){
                    alert("No se ha podido iniciar la consulta");
                }else if(intCasoArg===4){
                    alert("No se ha podido terminar la consulta");
                }
            }
		}
	});

}

function guardarPaciente(strIdContenedor){
	console.log("\n\n guardarPaciente //// strIdContenedor: "+ strIdContenedor);
	
	var intMode = 4;

	var intCliente = $("#"+ strIdContenedor).find("#txtId").val();
	
	var strImagen = $("#"+ strIdContenedor).find("#imgFotoPaciente").prop("src");
	
	if(strIdContenedor==="divNuevoPaciente"){ 
	    intMode = 5; 
	    intCliente = ""; 
	    strImagen = ""; 
	}else if(strIdContenedor==="divRegistroDiario"){ 
	    intMode = 6; 
	    intCliente = ""; 
	    strImagen = ""; 
	}

	console.log("intCliente: "+ intCliente +" / intMode: "+ intMode +" / strImagen: "+ strImagen);

	var txtNombres = $("#"+ strIdContenedor).find("#txtNombres").val();
	var txtApellidos = $("#"+ strIdContenedor).find("#txtApellidos").val();
	var selectSexo = $("#"+ strIdContenedor).find("#selectSexo").val();
	var txtFecNac = $("#"+ strIdContenedor).find("#txtFecNac").val();
	var txtEmail = $("#"+ strIdContenedor).find("#txtEmail").val();

	var txtTelefono = $("#"+ strIdContenedor).find("#txtTelefono").val();
	var txtCompania = $("#"+ strIdContenedor).find("#txtCompania").val();
	var selectFormaContacto = $("#"+ strIdContenedor).find("#selectFormaContacto").val();

	var strUrl = "data/catClientes.php?method=abc&intMode="+ intMode +"&intEmpresa="+ objUsuario.empresa +"&intCliente="+ intCliente +"&intUsuario="+ objUsuario.id;
	
	//console.log("strImagen: "+ strImagen);
	strUrl += "&strImagen="+ encodeURIComponent(strImagen);
	
	strUrl += "&txtNombres="+ encodeURIComponent(txtNombres);
	strUrl += "&txtApellidos="+ encodeURIComponent(txtApellidos);
	strUrl += "&selectSexo="+ encodeURIComponent(selectSexo);
	strUrl += "&txtFecNac="+ encodeURIComponent(txtFecNac);
	strUrl += "&txtEmail="+ encodeURIComponent(txtEmail);
	strUrl += "&txtTelefono="+ encodeURIComponent(txtTelefono);
	strUrl += "&txtCompania="+ encodeURIComponent(txtCompania);
	strUrl += "&selectFormaContacto="+ encodeURIComponent(selectFormaContacto);
	strUrl += "&rnd="+ Math.random();

	$.post(strUrl, function(dataNew){
		console.log("dataNew: "+ dataNew );

		var data = $.parseJSON(dataNew);
		var exito = data.exito;
		var msg = data.msg;
		var insertId = data.insertId;

		if(insertId!=""){

			alert(msg);

			if(strIdContenedor==="divNuevoPaciente"){ 
				$("#divFormulario").find("#divPaciente").find("#hidIntPaciente").val(insertId);
				$("#divFormulario").find("#divPaciente").find("#txtPaciente").val(txtNombres+" "+txtApellidos);

				nuevoPaciente(0);
				
			}else if(strIdContenedor==="divRegistroDiario"){ 
			    
                objClienteSel = new Object();
                objClienteSel.id = insertId;
                
        	    abConsulta(0, 2);

			}
			
		}else{
			if(exito=="si"){
				$("#divExpedienteDetalle").find("#divLetrero").html("Datos guardados con éxito");				
				$("#divExpedienteDetalle").find("#divLetrero").css({"display":"inline-block",opacity:1});				
				$("#divExpedienteDetalle").find("#divLetrero").animate( {opacity:0, display: "none"}, 1500, function(){  } );				
			}
		}
	});
		
}

function guardarHF(txtObj){
	console.log("guardarHF txtid: "+ txtObj.id);

	var strDiabetes = 	$('#divHeredofamiliares').find("#txtDiabetesHF").val();
	var strCardiopatias = 	$('#divHeredofamiliares').find("#txtCardiopatiasHF").val();
	var strHipertensionArterial = 	$('#divHeredofamiliares').find("#txtHipertensionHF").val();
	var strEnfermedadesTiroideas = 	$('#divHeredofamiliares').find("#txtTiroideasHF").val();
	var strOtros = 	$('#divHeredofamiliares').find("#txtOtrosHF").val();

	var strUrl = "data/dataExpediente.php?method=guardarHF&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { strDiabetes: (strDiabetes)
					 , strCardiopatias: (strCardiopatias)
					 , strHipertensionArterial: (strHipertensionArterial)
					 , strEnfermedadesTiroideas: (strEnfermedadesTiroideas)
					 , strOtros: (strOtros)
				  };
	
	$.post(strUrl, dataObject, function(dataNew){
		console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function guardarP(txtObj){ 
	console.log("guardarP txtid: "+ txtObj.id);

	var strHospitalizacion = 	$('#divPatologicos').find("#txtHospitalizacionP").val();
	var strCirugias = 	$('#divPatologicos').find("#txtCirugiasP").val();
	var strDiabetes = 	$('#divPatologicos').find("#txtDiabetesP").val();
	var strTiroideas = 	$('#divPatologicos').find("#txtTiroideasP").val();
	var strHipertension = 	$('#divPatologicos').find("#txtHipertensionP").val();

	var strCardiopatias = 	$('#divPatologicos').find("#txtCardiopatiasP").val();
	var strTraumatismos = 	$('#divPatologicos').find("#txtTraumatismosP").val();
	var strCancer = 	$('#divPatologicos').find("#txtCancerP").val();
	var strTuberculosis = 	$('#divPatologicos').find("#txtTuberculosisP").val();
	var strTransfusiones = $('#divPatologicos').find("#txtTransfusionesP").val();

	var strUrl = "data/dataExpediente.php?method=guardarP&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	//strUrl += "&strTransfusiones="+ strTransfusiones;

	var dataObject = { strHospitalizacion: (strHospitalizacion)
					 , strCirugias: (strCirugias)
					 , strDiabetes: (strDiabetes)
					 , strTiroideas: (strTiroideas)
					 , strHipertension: (strHipertension)
					 , strCardiopatias: (strCardiopatias)
					 , strTraumatismos: (strTraumatismos)
					 , strCancer: (strCancer)
					 , strTuberculosis: (strTuberculosis)
					 , strTransfusiones: (strTransfusiones)
				  };
	
	$.post(strUrl, dataObject, function(dataNew){
		console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function guardarNP(txtObj){ //tERMINAR
	console.log("guardarNP txtid: "+ txtObj.id);

	var txtActividadFisica = 	$('#divNopatologicos').find("#txtActividadFisicaNP").val();
	var txtTabaquismo = 	$('#divNopatologicos').find("#txtTabaquismoNP").val();
	var txtAlcoholismo = 	$('#divNopatologicos').find("#txtAlcoholismoNP").val();
	var txtDrogas = 	$('#divNopatologicos').find("#txtDrogasNP").val();
	var txtVacuna = 	$('#divNopatologicos').find("#txtVacunaNP").val();
	var txtOtros = 	$('#divNopatologicos').find("#txtOtrosNP").val();

	var strUrl = "data/dataExpediente.php?method=guardarNP&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtActividadFisica: (txtActividadFisica)
					 , txtTabaquismo: (txtTabaquismo)
					 , txtAlcoholismo: (txtAlcoholismo)
					 , txtDrogas: (txtDrogas)
					 , txtVacuna: (txtVacuna)
					 , txtOtros: (txtOtros)
				  };
	
	$.post(strUrl, dataObject, function(dataNew){
		console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function guardarGO(txtObj){ //tERMINAR
	console.log("guardarGO txtid: "+ txtObj.id);

	//$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});
	var txtMenarca = 	$('#divGinecoobstetricos').find("#txtMenarcaGO").val();
	var txtVidaSexual = 	$('#divGinecoobstetricos').find("#txtVidaSexualGO").val();
	var txtCesareas = 	$('#divGinecoobstetricos').find("#txtCesareasGO").val();
	var txtAbortos = 	$('#divGinecoobstetricos').find("#txtAbortosGO").val();
	var txtIniMens = 	$('#divGinecoobstetricos').find("#txtIniMensGO").val();
	var txtUltMens = 	$('#divGinecoobstetricos').find("#txtUltMensGO").val();
	var txtEmbarazos = 	$('#divGinecoobstetricos').find("#txtEmbarazosGO").val();
	var txtCancerCervico = 	$('#divGinecoobstetricos').find("#txtCancerCervicoGO").val();
	var txtCancerMama = 	$('#divGinecoobstetricos').find("#txtCancerMamaGO").val();
	var txtMenopausia = 	$('#divGinecoobstetricos').find("#txtMenopausiaGO").val();
	var txtOtros = 	$('#divGinecoobstetricos').find("#txtOtrosGO").val();

	var strUrl = "data/dataExpediente.php?method=guardarGO&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtMenarca: (txtMenarca)
					 , txtVidaSexual: (txtVidaSexual)
					 , txtCesareas: (txtCesareas)
					 , txtAbortos: (txtAbortos)
					 , txtIniMens: (txtIniMens)
					 , txtUltMens: (txtUltMens)
					 , txtEmbarazos: (txtEmbarazos)
					 , txtCancerCervico: (txtCancerCervico)
					 , txtCancerMama: (txtCancerMama)
					 , txtMenopausia: (txtMenopausia)
					 , txtOtros: (txtOtros)
				  };
	

	$.post(strUrl, dataObject, function(dataNew){
		console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function guardarAler(txtObj){ //tERMINAR
	console.log("guardarAler txtid: "+ txtObj.id);

	//$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});
	var txtAlergicos = 	$('#divAlergicos').find("#txtAlergicos").val();

	var strUrl = "data/dataExpediente.php?method=guardarAler&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtAlergicos: (txtAlergicos)
				  };

	$.post(strUrl, dataObject, function(dataNew){		console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}


function guardarNotasPad(txtObj){ //tERMINAR
	console.log("guardarNotasPad txtid: "+ txtObj.id);

	var txtAltura = 	$('#tabNotasPadecimiento').find("#txtAltura").val();
	var txtPeso = 	$('#tabNotasPadecimiento').find("#txtPeso").val();
	var txtTemperatura = 	$('#tabNotasPadecimiento').find("#txtTemperatura").val();
	var txtFrecuenciaRespiratoria = 	$('#tabNotasPadecimiento').find("#txtFrecuenciaRespiratoria").val();
	var txtPresionArterial = 	$('#tabNotasPadecimiento').find("#txtPresionArterial").val();
	var txtFrecuenciaCardiaca = 	$('#tabNotasPadecimiento').find("#txtFrecuenciaCardiaca").val();
	var txtMotivoVisita = 	$('#tabNotasPadecimiento').find("#txtMotivoVisita").val();
	var txtExploracionFisica = 	$('#tabNotasPadecimiento').find("#txtExploracionFisica").val();

	var strUrl = "data/dataExpediente.php?method=guardarNotasPad&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtAltura: (txtAltura)
					 , txtPeso: (txtPeso)
					 , txtTemperatura: (txtTemperatura)
					 , txtFrecuenciaRespiratoria: (txtFrecuenciaRespiratoria)
					 , txtPresionArterial: (txtPresionArterial)
					 , txtFrecuenciaCardiaca: (txtFrecuenciaCardiaca)
					 , txtMotivoVisita: (txtMotivoVisita)
					 , txtExploracionFisica: (txtExploracionFisica)
				  };
	
	$.post(strUrl, dataObject, function(dataNew){		
		//console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}
function onKeyUpTxt(txtObj){
    
    txtObj.value = $.trim(capitalizeFirstLetter(txtObj.value));
    
}

function guardarExaFis(txtObj){ //tERMINAR
	console.log("guardarExaFis txtid: "+ txtObj.id);

	var txtCardiacoVascular = 	$('#tabExamenFisico').find("#txtCardiacoVascular").val();
	var txtAparatoDigestivo = 	$('#tabExamenFisico').find("#txtAparatoDigestivo").val();
	var txtSistemaLinfatico = 	$('#tabExamenFisico').find("#txtSistemaLinfatico").val();
	var txtDermatologico = 	$('#tabExamenFisico').find("#txtDermatologico").val();
	var txtNeurologico = 	$('#tabExamenFisico').find("#txtNeurologico").val();
	var txtOsteoarticular = 	$('#tabExamenFisico').find("#txtOsteoarticular").val();
	var txtOtorrinolaringologico = 	$('#tabExamenFisico').find("#txtOtorrinolaringologico").val();
	var txtRespiratorio = 	$('#tabExamenFisico').find("#txtRespiratorio").val();

	var strUrl = "data/dataExpediente.php?method=guardarExaFis&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtCardiacoVascular: (txtCardiacoVascular)
					 , txtAparatoDigestivo: (txtAparatoDigestivo)
					 , txtSistemaLinfatico: (txtSistemaLinfatico)
					 , txtDermatologico: (txtDermatologico)
					 , txtNeurologico: (txtNeurologico)
					 , txtOsteoarticular: (txtOsteoarticular)
					 , txtOtorrinolaringologico: (txtOtorrinolaringologico)
					 , txtRespiratorio: (txtRespiratorio)
				  };
	

	$.post(strUrl, dataObject, function(dataNew){		
		//console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function guardarDiag(txtObj){ //tERMINAR
	console.log("guardarDiag txtid: "+ txtObj.id);

	var txtDiagnostico = 	$('#tabDiagnostico').find("#txtDiagnostico").val();
	var txtEstudios = 	$('#tabDiagnostico').find("#txtEstudios").val();
	var txtMedicamentos = 	$('#tabDiagnostico').find("#txtMedicamentos").val();
	var txtInstrucciones = 	$('#tabDiagnostico').find("#txtInstrucciones").val();

	var strUrl = "data/dataExpediente.php?method=guardarDiag&intEmpresa="+ objUsuario.empresa +"&intCliente="+ objClienteSel.id +"&intUsuario="+ objUsuario.id;
	strUrl += "&strIdConsulta="+ strIdConsulta +"&rnd="+ Math.random();

	var dataObject = { txtDiagnostico: (txtDiagnostico)
					 , txtEstudios: (txtEstudios)
					 , txtMedicamentos: (txtMedicamentos)
					 , txtInstrucciones: (txtInstrucciones)
				  };
	

	$.post(strUrl, dataObject, function(dataNew){		
		//console.log(dataNew);
		/*var data = $.parseJSON(dataNew);
		arrEvents = data.Items;
		*/	
	});
}

function oncheck(thisObj){
	//console.log(thisObj);
	var idTextA = thisObj.id;
	//console.log(idTextA);
	idTextA = idTextA.replace("chk", "txt");
	//console.log("oncheck, idTextA: "+ idTextA);
	if(thisObj.checked){		
		//$( "#divExpedienteTabs" ).find( "#" + idTextA).css({'background-color':'red'});
		//$( "#textADiabetesHF" ).css({'background-color':'red'});

		//$( "#divExpedienteTabs" ).find( "#" + idTextA).removeClass('clsTextAHidden').addClass('clsTextAVisible');
	}else{
		//$( "#divExpedienteTabs" ).find( "#" + idTextA).removeClass('clsTextAVisible').addClass('clsTextAHidden');
	}
}

function onchangeValue(objthis){
	var id = objthis.id;
	var valor = objthis.value.toLowerCase();
	
	if(valor=="f"){
		$( "#tabHistorial" ).find( "#divGinecoobstetricos").css({"visibility":"visible", "display":"block"});
	}else if(valor=="m"){
		$( "#tabHistorial" ).find( "#divGinecoobstetricos").css({"visibility":"hidden", "display":"none"});
	}
}

function gotFocus(objthis){
	var id = objthis.id;
	var idDiv = id.replace("txt", "div");
	
	$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});
	$("#"+ idDiv).css({"background":"#dbfb34","font-weight":"bold"});

}

function limpiarFormulario(){
	console.log("limpiarFormulario / strOpt: ");

	/*var id = objthis.id;
	var idDiv = id.replace("txt", "div");
	
	$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});
	$("#"+ idDiv).css({"background":"#dbfb34","font-weight":"bold"});
	*/

}

/*function lostFocus(objthis){	
	$(".clsDivTxtA").css({"background":"white","font-weight":"normal"});
}*/

function vistaReceta(){
	//var strOpt = $("#tabDiagnostico").find("#divMedicamentos").css( "position" );
	var strOpt = $("#dialog-receta").css( "visibility" );
	//console.log("vistaReceta / strOpt: "+ strOpt);

	if(strOpt=="hidden"){
		//$("#tabDiagnostico").find("#divMedicamentos").css( {"position":"relative","width":"auto" } );
		//$("#dialog-receta").dialog("open");
		$("#divHeader").css( {"z-index":"1"} );	
		$("#dialog-receta").css( {"visibility":"visible","display":"block","z-index":"2"} );	
	}else{
	//	$("#tabDiagnostico").find("#divMedicamentos").css( {"position":"absolute","top":"0px","left":"0px","width":"100%"} );	
		$("#divHeader").css( {"z-index":"100"} );	
		$("#dialog-receta").css( {"visibility":"hidden","display":"none","z-index":"0"} );	
	}

}
function guardarReceta(){
	console.log("guardarReceta / strOpt: "+ strOpt);
}
function enviarReceta(){
	console.log("enviarReceta / strOpt: "+ strOpt);
}
function imprimirReceta(){
	console.log("imprimirReceta / strOpt: "+ strOpt);
}
function modificarControles(intCase, intOrigen){
	//console.log("modificarControles  /  intCase: "+ intCase);
	
	//ABRIR DIALOG CON CONTROLES A ESCONDER POR AREA
	var arrItems = ["tabHistorial","tabNotasPadecimiento","tabExamenFisico","tabDiagnostico"];	
	var arrItemsDivs = [ ["divHeredofamiliares","divPatologicos","divNopatologicos","divGinecoobstetricos","divAlergicos"] ];
	var arrPrefijos = ["HF","P","NP","GO","A"];
	//var childs = $("#"+ arrItems[intCase]).children(".clsDivTxtA").length;
	//console.log("childs: "+ childs);

	var strLis = "";
	var arrDivs = arrItemsDivs[intCase];
	for(var i=0; i<arrDivs.length; i++){
		var strDiv = arrDivs[i];
		var strTitle = strDiv.replace("div","");
		//console.log("strDiv: "+ strDiv +" / strTitle: "+ strTitle);

	    strLis += "<div style='float:left; width:100%; border-bottom:1px solid #ccc; padding:4px 0px 4px 4px; background:#ccc; font-weight:400; margin-top:20px;'>"+ strTitle +"</div>";

		$("#"+ strDiv).children('.clsDivTxtA').each(function () {
		    //alert(this.value); // "this" is the current element in the loop
		    var idDiv = this.id;
		    //var strLbl = idDiv.replace("div","").replace(arrPrefijos[i],"");
		    var strLbl = this.title;
		    var imgDiv = idDiv.replace("div","img");

		    var strImgUrl = "icoOjo.png";
		    var visi = localStorage.getItem(idDiv);
		    //console.log("idDiv: "+ idDiv +" / strLbl: "+ strLbl +" / visi: "+ visi);

		    if(visi=="visible"){
		    	strImgUrl = "icoOjo.png";
		    	$("#"+ idDiv).css({"visibility":"visible","display":"block"});
		    }else if(visi=="hidden"){
		    	strImgUrl = "icoOjo2.png";
		    	$("#"+ idDiv).css({"visibility":"hidden","display":"none"});
		    }
		    strLis += "<div style='float:left; width:100%; border-bottom:1px solid #ccc; padding:4px 0px 4px 4px;'><img id='"+ imgDiv +"' onclick='showHide(\""+ imgDiv +"\")' src='images/"+ strImgUrl +"' style='margin-right:4px; vertical-align:middle;'/>"+ strLbl +"</div>";
		});
	}

	if(intOrigen==null){
		$("#divConfiguracionChilds").html(strLis);
		$("#divConfiguracionChilds").dialog("open");
	}
}

function showHide(idImg){
	//console.log("showHide  /  idImg: "+ idImg);

	var idDiv = idImg.replace("img","div");
	var vis = $("#"+ idDiv).css("visibility");
	if(vis=="visible"){
		$("#"+ idDiv).css({"visibility":"hidden","display":"none"});
		$("#"+ idImg).prop("src","images/icoOjo2.png");

		//localStorage.myText = 'This is some text which have been stored with localStorage object';
		localStorage.setItem(idDiv,'hidden');
	}else{
		$("#"+ idDiv).css({"visibility":"visible","display":"block"});
		$("#"+ idImg).prop("src","images/icoOjo.png");

		localStorage.setItem(idDiv,'visible');

	}

	//console.log( localStorage.myText );
	console.log( "localStorage.getItem("+ idDiv +"): "+ localStorage.getItem(idDiv) );

}

function verDetallePac(){
	var visible = $('#divDetalleExtraPaciente').css("visibility");
	
	if(visible!="visible"){
		$('#divDetalleExtraPaciente').css({ "visibility":"visible", "display":"inherit" });
		$('#divExpedienteDetalle').find("#aVerDetalle").html("Ver menos");
	}else{
		$('#divDetalleExtraPaciente').css({ "visibility":"hidden", "display":"none" });
		$('#divExpedienteDetalle').find("#aVerDetalle").html("Ver m&aacute;s");
	}

}